[BACK]Return to patch-tests_tests.sh CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / devel / deforaos-libsystem / patches

Annotation of pkgsrc/devel/deforaos-libsystem/patches/patch-tests_tests.sh, Revision 1.3

1.3     ! khorben     1: $NetBSD: patch-tests_tests.sh,v 1.2 2014/09/23 12:06:49 jperkin Exp $
1.1       khorben     2:
                      3: Avoid building the (experimental) Python binding.
1.2       jperkin     4: Use LD_LIBRARY_PATH to find pre-installed libraries.
1.1       khorben     5:
1.3     ! khorben     6: --- tests/tests.sh.orig        2015-05-10 22:00:47.000000000 +0000
1.1       khorben     7: +++ tests/tests.sh
1.3     ! khorben     8: @@ -42,7 +42,7 @@ _run()
1.2       jperkin     9:        echo -n "$test:" 1>&2
                     10:        (echo
1.3     ! khorben    11:        echo "Testing: $test" "$@"
        !            12: -      "$OBJDIR$test" "$@") 2>&1
        !            13: +      env LD_LIBRARY_PATH="../src" "$OBJDIR$test" "$@") 2>&1
1.2       jperkin    14:        res=$?
                     15:        if [ $res -ne 0 ]; then
1.3     ! khorben    16:                echo "Test: $test$sep$@: FAIL (error $res)"
        !            17: @@ -105,7 +105,7 @@ _test "includes"
1.1       khorben    18:  _test "string"
                     19:  _test "variable"
                     20:  echo "Expected failures:" 1>&2
                     21: -_fail "python.sh"
                     22: +#_fail "python.sh"
                     23:  if [ -n "$FAILED" ]; then
                     24:        echo "Failed tests:$FAILED" 1>&2
                     25:        exit 2

CVSweb <webmaster@jp.NetBSD.org>